import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.table.*;
import java.sql.*;
import java.util.*;
/**
 * Model para combo de Productos en grilla de facturacion
 * 
 * @author G. Cherencio
 * @version 1.0
 */
public class ProductoComboModel<E> implements ComboBoxModel<E> {
    private ResultSet rs = null;
    private List<E> lst = new ArrayList<E>();
    private Object selected = null;
    
    /**
     * Constructor for objects of class ProductoComboModel
     */
    public ProductoComboModel(List<E> l) {
        lst=l;
    }
    /*
    public ProductoComboModel(String query) {
        this(DataIO.getResultSet(query));
    }
    */
    /**
     * Constructor for objects of class ProductoComboModel
     */
    /*
    public ProductoComboModel(ResultSet r) {
        rs = r;
        try {
            while(rs.next()) {
                lst.add(new Producto(rs.getInt("idp"),rs.getString("descr"),rs.getDouble("precio_base"),rs.getInt("stock")));
            }
            rs.close();
        } catch(SQLException sqle) {
            System.err.println("ProductoComboModel(): Error "+sqle.getMessage());
        }
    }
    */
    // IMPLEMENTO INTERFASE ComboBoxModel
    public void setSelectedItem(Object anItem) {
        selected = anItem;
        if ( anItem != null ) {
            int pos = lst.indexOf(anItem);
            if ( pos != -1 ) selected = lst.get(pos);
            else selected = null;
        }
    }
    public Object getSelectedItem() { return selected; }
    
    
    // IMPLEMENTO INTERFASE ListModel
    public void addListDataListener(ListDataListener l) {
    }
    public E getElementAt(int index) { return lst.get(index); }
    public int getSize() { return lst.size(); }
    public void removeListDataListener(ListDataListener l) {}

}
